#### D.4.16.46 interpret

Procedure from library `modules.lib` (see modules_lib).

Return:
  interpretation of V into some space that is stored in the interpretationlist of V.space

Example:

    LIB "modules.lib";
    "example 1:";
    ==> example 1:
    ring R = 0,(x,y),dp;
    matrix a[1][2] = x,y;
    Matrix A = a;
    matrix b[1][2] = x2,y2;
    Matrix B = b;
    Module M = subquotient(A,B);
    Module C = presentation(M);
    Vector V = [x2,y4],C;
    interpret(V);
    ==> | y5+x3 |
    ==>
    ==>
    "example 2:";
    ==> example 2:
    ring S;
    matrix gens[2][3] = x2+y-3z4,y+xy,xyz+4,3+z2x,z3-3x+3,2+x+y+z7;
    vector v = 2x*[gens[1..2,1]] + (y-z2)*[gens[1..2,2]] + 5*[gens[1..2,3]];
    Matrix Gens = gens;
    M = subquotient(Gens,zero(2,3));
    M.interpretation = list(list(1,1,1),list());
    V = v,M;
    interpret(V);
    ==> -z2+2x+y+5

User manual for Singular version 4.4.1, 2025, generated by texi2html.